<?php 
/*
* Functions
*/

//Getting Portfolio and Slider posts file
require_once FILTER_GALLERY_DIR .'/includes/fg_galaxy_post_types.php';

//Getting shortcodes php file
require_once FILTER_GALLERY_DIR .'/includes/fg-gallery-shortcodes.php';

//Getting shortcodes button file 
require_once FILTER_GALLERY_DIR .'/includes/extend/fg-gallery-shortcodes-buttons.php';

//Adding js file to admin page and post screens
function fg_gallery_admin_scripts() {
	// This is how we will check what page we are on
    $screen = get_current_screen(); 
    if ( in_array( $screen->id, array( 'post', 'page') ) ) {
    	//Enqueing script
        wp_enqueue_script('admin-script', FILTER_GALLERY_URL . 'assets/js/fg-gallery-admin-script.js', array(), '', true );		
		//Enqueing Style
		wp_enqueue_style( 'gt-admin-css', FILTER_GALLERY_URL . 'assets/css/fg-admin.css', array(), '');
    }
}
add_action( 'admin_enqueue_scripts', 'fg_gallery_admin_scripts');

//Adding custom templates for slider and portfolio single page
add_filter('template_include', 'fg_single_page_templates');

function fg_single_page_templates( $template ){
  // if portfolio signgle page
  if( is_singular('fg-portfolio')) {
	$template = FILTER_GALLERY_DIR.'includes/single-fg-portfolio.php';
  }   
  return $template;
 }

 //Image cropping
 add_action( 'init', 'fg_gallery_image_cropping' );
 function fg_gallery_image_cropping() {
 	add_image_size('masonary-1-small', 375, 250, true);
	add_image_size('masonary-1-medium', 375, 375, true);
	add_image_size('masonary-1-full', 375, 500, true);
	add_image_size('masonary-2-small', 300, 250, true);
	add_image_size('masonary-2-full', 630, 530, true);
	add_image_size('masonary-3-small', 360, 282, true);
	add_image_size('masonary-3-full', 750, 590, true);
	add_image_size('masonary-4-small', 300, 300, true);
	add_image_size('masonary-4-full', 300, 600, true);
	add_image_size('slider-thumb', 246, 140, true);
 }

 //Registering styles and scripts for Later use in Front End
 function fg_fg_scripts_handler(){
	wp_register_style( 'bootstrap', FILTER_GALLERY_URL . 'assets/css/bootstrap.css', array(), '');
	wp_register_style( 'font-awesome', FILTER_GALLERY_URL . 'assets/css/font-awesome.min.css', array(), '');
	wp_register_style( 'fg-portfolio', FILTER_GALLERY_URL . 'assets/css/fg-portfolio.css', array(), '');	
	wp_register_style( 'fg-gallery', FILTER_GALLERY_URL . 'assets/css/fg-gallery.css', array(), '');	
	wp_register_script('bootstrap', FILTER_GALLERY_URL . 'assets/js/bootstrap.js', array(), '', true);
	wp_register_script('fg-isotope-pakaged', FILTER_GALLERY_URL . 'assets/js/isotope.pkgd.min.js', array(), '', true);	
	wp_register_script('fg-images-loaded-pkged', FILTER_GALLERY_URL . 'assets/js/imagesloaded.pkgd.js', array(), '', true);	
	wp_register_script('fg-gallery-script', FILTER_GALLERY_URL . 'assets/js/fg-gallery-script.js', array(), '', true);
}
add_action( 'wp_enqueue_scripts', 'fg_fg_scripts_handler' );
?>