<?php 
/*
* File to register required post types
*/


/**
 * Registsering Custom Post Type (Portfolio)
 */
    function fg_portolfio_post_type() {

        $labels = array(
            'name'                  => _x( 'Portfolio Post Type', 'Post Type General Name', 'gt-portfolio' ),
            'singular_name'         => _x( 'Portfolio Post Type', 'Post Type Singular Name', 'gt-portfolio' ),
            'menu_name'             => __( 'FG Portfolio', 'gt-portfolio'),
            'name_admin_bar'        => __( 'Post Type', 'gt-portfolio'),
            'archives'              => __( 'Portfolio Archives', 'gt-portfolio' ),
            'parent_item_colon'     => __( 'Parent Item:', 'gt-portfolio' ),
            'all_items'             => __( 'All Portfolios', 'gt-portfolio'),
            'add_new_item'          => __( 'Add New Portfolio', 'gt-portfolio'),
            'add_new'               => __( 'Add New', 'gt-portfolio'),
            'new_item'              => __( 'New Portfolio', 'gt-portfolio' ),
            'edit_item'             => __( 'Edit Portfolio', 'gt-portfolio' ),
            'update_item'           => __( 'Update Portfolio', 'gt-portfolio' ),
            'view_item'             => __( 'View Portfolio', 'gt-portfolio' ),
            'search_items'          => __( 'Search Portfolio', 'gt-portfolio' ),
            'not_found'             => __( 'Not found', 'gt-portfolio'),
            'not_found_in_trash'    => __( 'Not found in Trash', 'gt-portfolio' ),
            'featured_image'        => __( 'Featured Image', 'gt-portfolio'),
            'set_featured_image'    => __( 'Set featured image', 'gt-portfolio' ),
            'remove_featured_image' => __( 'Remove featured image', 'gt-portfolio' ),
            'use_featured_image'    => __( 'Use as featured image', 'gt-portfolio'),
            'insert_into_item'      => __( 'Insert into Portfolio', 'gt-portfolio'),
            'uploaded_to_this_item' => __( 'Uploaded to this Portfolio', 'gt-portfolio'),
            'items_list'            => __( 'Portfolios list', 'gt-portfolio' ),
            'items_list_navigation' => __( 'Portfolios list navigation', 'gt-portfolio'),
            'filter_items_list'     => __( 'Filter Portfolios list', 'gt-portfolio'),
        );
        $args = array(
            'label'                 => __( 'Portfolio', 'gt-portfolio' ),
            'description'           => __( 'Portfolio Post type to add portfolio of your work', 'gt-portfolio' ),
            'labels'                => $labels,
            'supports'              => array('title', 'editor', 'thumbnail' ),
            'hierarchical'          => false,
            'public'                => true,
            'show_ui'               => true,
            'show_in_menu'          => true,
            'menu_position'         => 5,
            'show_in_admin_bar'     => true,
            'show_in_nav_menus'     => true,
            'can_export'            => true,
            'has_archive'           => true,
            'exclude_from_search'   => false,
            'publicly_queryable'    => true,
            'capability_type'       => 'post',
        );
        register_post_type( 'fg-portfolio', $args );

    }
    add_action( 'init', 'fg_portolfio_post_type', 0 );

/**
 * Registsering Custom Taxonomy 
 */
    function fg_portolfio_post_type_taxonomy() {

        $labels = array(
            'name'                       => _x( 'Portfolio Categories', 'Taxonomy General Name', 'gt-portfolio' ),
            'singular_name'              => _x( 'Portfolio', 'Taxonomy Singular Name', 'gt-portfolio' ),
            'menu_name'                  => __( 'Portfolio Categories', 'gt-portfolio' ),
            'all_items'                  => __( 'All Portfolio Category', 'gt-portfolio'),
            'parent_item'                => __( 'Parent Item', 'gt-portfolio' ),
            'parent_item_colon'          => __( 'Parent Item:', 'gt-portfolio'),
            'new_item_name'              => __( 'New Category Name', 'gt-portfolio'),
            'add_new_item'               => __( 'Add New Portfolio Category', 'gt-portfolio'),
            'edit_item'                  => __( 'Edit Portfolio Category', 'gt-portfolio'),
            'update_item'                => __( 'Update Portfolio Category', 'gt-portfolio' ),
            'view_item'                  => __( 'View Portfolio Category', 'gt-portfolio'),
            'separate_items_with_commas' => __( 'Separate Portfolio Category with commas', 'gt-portfolio' ),
            'add_or_remove_items'        => __( 'Add or remove Portfolio Category', 'gt-portfolio' ),
            'choose_from_most_used'      => __( 'Choose from the most used', 'gt-portfolio'),
            'popular_items'              => __( 'Popular Portfolio Categories', 'gt-portfolio' ),
            'search_items'               => __( 'Search Portfolio Categories', 'gt-portfolio'),
            'not_found'                  => __( 'Not Found', 'gt-portfolio'),
            'no_terms'                   => __( 'No Portfolio Category', 'gt-portfolio' ),
            'items_list'                 => __( 'Portfolio Categories list', 'gt-portfolio' ),
            'items_list_navigation'      => __( 'Portfolio Categories list navigation', 'gt-portfolio' ),
        );
        $args = array(
            'labels'                     => $labels,
            'hierarchical'               => true,
            'public'                     => true,
            'show_ui'                    => true,
            'show_admin_column'          => true,
            'show_in_nav_menus'          => true,
            'show_tagcloud'              => true,
        );
        register_taxonomy( 'fg_portfolio_category', array( 'fg-portfolio' ), $args );

    }
    add_action( 'init', 'fg_portolfio_post_type_taxonomy', 0 );
	//Portfolio post type ends	
	?>